# This file is protected by Copyright. Please refer to the COPYRIGHT file
# distributed with this source distribution.
#
# This file is part of OpenCPI <http://www.opencpi.org>
#
# OpenCPI is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.

# This is the Makefile for worker fast_fourier_transform_xs.hdl
#
# Checks the dblclockfft prerequisite is present (attempting to download
# it if not present). If the prerequisite is not present, a warning is
# emitted that it could not be obtained.

mkfile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
mkfile_dir := $(dir $(mkfile_path))
prereq_script := $(mkfile_dir)../../../prerequisites/dblclockfft/install-dblclockfft.sh
include $(OCPI_CDK_DIR)/include/worker.mk


ifneq ($(MAKECMDGOALS),clean)
# Make GNU make run the shell command now, as the rule name expansion
# occurs at different times depending upon the worker target compiler
GET_DBLCLOCK := $(shell $(prereq_script))
endif
